{% from "macros.html" import error_alert %}
{{ error_alert() }}
<div class="row-fluid">
  <div class="span12">
    <h3 class="comp-title">
      <span class="pull-left">{{ new_product_code }}</span>
      <div class="clearfix"></div>
    </h3>
  </div>
</div>
<div class="row-fluid">
  <div class="span12">Costing for {{ product.desc }} is <B>{{ total_price }}</B></div>
</div>
<div class="row-fluid">
  <div class="span12">
    <div class="span4 text-center">Name</div>
    <div class="span4 text-center">Description</div>
    <div class="span1 text-center">MOC</div>
    <div class="span1 text-center">Base Price</div>
    <div class="span1 text-center">Price</div>
  </div>
</div>
{%- for c in components -%}
  <div class="row-fluid">
    <div class="span12" style="font-size: 12px; margin-bottom: -10px;">
      <div class="span4">{{ c.component_def.name }}</div>
      <div class="span4">{{ c.desc }}</div>
      {%- if c.moc -%}
        <div class="span1">{{ c.moc }}</div>
      {%- else -%}
        <div class="span1">&nbsp;&nbsp;&nbsp;&nbsp;</div>
      {%- endif-%}
      <div class="span1">{{ c.base_price }}</div>
      <div class="span1">{{ (c.base_price * c2cd)/1000 if c.component_def.price_depends_on == 'c2cd' or c.code == 'c2cd' else c.base_price }}</div>
    </div>
  </div>
{%- endfor -%}
